# coding: utf-8

from jdcloud_apim_sdk.core.credential import Credential
from jdcloud_apim_sdk.core.config import Config
from jdcloud_apim_sdk.core.const import SCHEME_HTTPS, SCHEME_HTTP
from client.hufuErpMigrateV2_client import *
from apis.jingdong_hufu_goods_goods_send_sync_request import *
from apis.jingdong_hufu_order_pop_order_push_request import *
from apis.jingdong_hufu_order_pop_order_get_request import *
from apis.jingdong_hufu_order_pop_order_search_request import *
from apis.jingdong_hufu_stock_stock_sync_request import *
from apis.jingdong_hufu_order_get_invoice_easy_info_request import *
from apis.jingdong_hufu_order_get_sensitive_data_request import *
from apis.jingdong_hufu_order_modify_order_addr_request import *


if __name__=="__main__":
    access_key = ''
    secret_key = ''
    credential = Credential(access_key, secret_key)
    config = Config('hufu.cn-north-1.jdcloud-api.net', scheme=SCHEME_HTTPS) # 线上环境地址
    client = HufuErpMigrateV2Client(credential, config)

    parameters = dict()
    body = ''
    header = dict()

    jingdong_hufu_goods_goods_send_sync_request = JingdongHufuGoodsGoodsSendSyncRequest(parameters, body, header)
    JingdongHufuGoodsGoodsSendSync_response = client.send(jingdong_hufu_goods_goods_send_sync_request)

    jingdong_hufu_order_pop_order_push_request = JingdongHufuOrderPopOrderPushRequest(parameters, body, header)
    JingdongHufuOrderPopOrderPush_response = client.send(jingdong_hufu_order_pop_order_push_request)

    jingdong_hufu_order_pop_order_get_request = JingdongHufuOrderPopOrderGetRequest(parameters, body, header)
    JingdongHufuOrderPopOrderGet_response = client.send(jingdong_hufu_order_pop_order_get_request)

    jingdong_hufu_order_pop_order_search_request = JingdongHufuOrderPopOrderSearchRequest(parameters, body, header)
    JingdongHufuOrderPopOrderSearch_response = client.send(jingdong_hufu_order_pop_order_search_request)

    jingdong_hufu_stock_stock_sync_request = JingdongHufuStockStockSyncRequest(parameters, body, header)
    JingdongHufuStockStockSync_response = client.send(jingdong_hufu_stock_stock_sync_request)

    jingdong_hufu_order_get_invoice_easy_info_request = JingdongHufuOrderGetInvoiceEasyInfoRequest(parameters, body, header)
    JingdongHufuOrderGetInvoiceEasyInfo_response = client.send(jingdong_hufu_order_get_invoice_easy_info_request)

    jingdong_hufu_order_get_sensitive_data_request = JingdongHufuOrderGetSensitiveDataRequest(parameters, body, header)
    JingdongHufuOrderGetSensitiveData_response = client.send(jingdong_hufu_order_get_sensitive_data_request)

    jingdong_hufu_order_modify_order_addr_request = JingdongHufuOrderModifyOrderAddrRequest(parameters, body, header)
    JingdongHufuOrderModifyOrderAddr_response = client.send(jingdong_hufu_order_modify_order_addr_request)

    
    

